summaryrefslogtreecommitdiff
path: root/libre/icedove-libre
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-11-26 03:02:08 -0200
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-11-26 03:02:08 -0200
commit5c508409510096b2a656cf0534ef6388c3b120fb (patch)
treef39d048528774d5a0c2144d4144f8c168e965867 /libre/icedove-libre
parent4591321353c89b7069c32cd0f83b36c6d825ddcc (diff)
icedove-libre-17.0.1-1: updating version
Diffstat (limited to 'libre/icedove-libre')
-rw-r--r--libre/icedove-libre/Icedove-branding.patch37
-rwxr-xr-xlibre/icedove-libre/PKGBUILD19
2 files changed, 50 insertions, 6 deletions
diff --git a/libre/icedove-libre/Icedove-branding.patch b/libre/icedove-libre/Icedove-branding.patch
new file mode 100644
index 000000000..751305147
--- /dev/null
+++ b/libre/icedove-libre/Icedove-branding.patch
@@ -0,0 +1,37 @@
+From: =?UTF-8?q?Guido=20G=C3=BCnther?= <agx@sigxcpu.org>
+Date: Sat, 24 Nov 2012 11:36:16 +0100
+Subject: Icedove branding
+
+---
+ mail/app/application.ini | 2 +-
+ mail/confvars.sh | 4 ++--
+ 2 files changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/mail/app/application.ini b/mail/app/application.ini
+index 8380eb7..12902c2 100644
+--- a/mail/app/application.ini
++++ b/mail/app/application.ini
+@@ -4,7 +4,7 @@
+
+ #filter substitution
+ [App]
+-Name=Thunderbird
++Name=Icedove
+ Version=@APP_VERSION@
+ BuildID=@GRE_BUILDID@
+ #ifdef MOZ_SOURCE_REPO
+diff --git a/mail/confvars.sh b/mail/confvars.sh
+index 5c34d70..395bb87 100755
+--- a/mail/confvars.sh
++++ b/mail/confvars.sh
+@@ -3,8 +3,8 @@
+ # License, v. 2.0. If a copy of the MPL was not distributed with this
+ # file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+-MOZ_APP_BASENAME=Thunderbird
+-MOZ_APP_NAME=thunderbird
++MOZ_APP_BASENAME=Icedove
++MOZ_APP_NAME=icedove
+ MOZ_UPDATER=1
+ MOZ_THUNDERBIRD=1
+ MOZ_CHROME_FILE_FORMAT=omni
diff --git a/libre/icedove-libre/PKGBUILD b/libre/icedove-libre/PKGBUILD
index 6ec577f58..d61b756f5 100755
--- a/libre/icedove-libre/PKGBUILD
+++ b/libre/icedove-libre/PKGBUILD
@@ -3,7 +3,7 @@
# We're getting this from Debian Experimental
_debname=icedove
-_debver=16.0.2
+_debver=17.0
_debrel=1
_debrepo=http://ftp.debian.org/debian/pool/main/
debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
@@ -11,7 +11,7 @@ debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
_pkgname=${_debname}
pkgname=${_debname}-libre
pkgver=${_debver}.${_debrel}
-pkgrel=3
+pkgrel=1
pkgdesc="A libre version of Debian Icedove, the Standalone Mail/News reader based on Mozilla Thunderbird."
arch=('i586' 'i686' 'x86_64' 'mips64el')
license=('GPL2' 'MPL' 'LGPL')
@@ -30,16 +30,18 @@ source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
vendor.js
makefile.patch
branding.patch
- ${_pkgname}.desktop)
+ ${_pkgname}.desktop
+ Icedove-branding.patch)
options=(!emptydirs)
-md5sums=('a3724f40d28014acf593528bb8a048f0'
- '53d62a4841d7989d1f6d1b04929394b4'
+md5sums=('f011e0308a0758df772638836fb03709'
+ '8534a19b46ce21d80fce16b50f1f37bd'
'd6d58d3104a44624e0a3d227cdf1c211'
'476ec205162340fb0679f522c9d31c3b'
'4eecc4fc5aafaf0da651a09eadc90bee'
'c4ed43e85945e180a89cce03e45ec62c'
'126b1446212396c33220936c01d9592d'
- 'e785e0c267f4435ae1a9aa0b03bcacfb')
+ 'e785e0c267f4435ae1a9aa0b03bcacfb'
+ 'ea5f7a06967f561d47d7e5c35b23de6f')
build() {
export QUILT_PATCHES=debian/patches
@@ -58,10 +60,15 @@ build() {
for i in 48x48 64x64; do
install -Dm644 "debian/app-icons/${_pkgname}${i/x*/}.png" "${srcdir}/${DEBIAN_BUILD}/mail/branding/${_pkgname}/content/icon${i/x*/}.png"
done
+
+ # This patch has a orthographic issue ("Icdove" instead of "Icedove") in MOZ_APP_BASENAME line for confvars.sh
+ rm -v debian/patches/debian-hacks/Icedove-branding.patch || true
+
quilt push -av
patch -Np1 -i "${srcdir}/makefile.patch" # small fix
patch -Np1 -i "${srcdir}/branding.patch" # fixing branding
+ patch -Np1 -i "${srcdir}/Icedove-branding.patch" # debian patch fixed version
cp "${srcdir}/mozconfig" .mozconfig
make -j1 -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}"